# Site List - Admin

| **API URL**     | {{url}}/admin-service/site/list                           |
| --------------- | --------------------------------------------------------- |
| **Method**      | POST                                                      |
| **Description** | Get Site list by passing country tenantId/Region tenantId |

#### **Input 1:** <a href="#sitelist-admin-input1" id="sitelist-admin-input1"></a>

| **Field Name**        | **Type** | **Mandatory** | **Example**                                                                                                                                     |
| --------------------- | -------- | ------------- | ----------------------------------------------------------------------------------------------------------------------------------------------- |
| Authorization(Header) | String   | Yes           | Bearer eyJlbmMiOiJBMTI4R0NNIiwiYWxnIjoiUlNBLU9BRVAtMjU2In0.MCm0mJDfpfjlr10Uok79-kTF7fv9Tn7cI5m2WsRDGUd9VS7iRmfbszjuc1-w5D-PYt9CdVxRMGBQlzYauhnI |

#### **Sample Input 1:** <a href="#sitelist-admin-sampleinput1" id="sitelist-admin-sampleinput1"></a>

{

"limit":15,\
"tenantId":146

}

#### **Output 1:** <a href="#sitelist-admin-output1" id="sitelist-admin-output1"></a>

| **Field Name**      | **Type** | **Comments**        |
| ------------------- | -------- | ------------------- |
| `id`                | Number   | Site id             |
| `name`              | String   | Site name           |
| `tenantId`          | Number   | Site tenantId       |
| `operatingUnitName` | String   | Operating unit name |
| `cultureName`       | String   | Culture name        |
| `siteLevel`         | String   | Site level          |
| `siteType`          | String   | Clinic              |

#### **Sample Output 1:** <a href="#sitelist-admin-sampleoutput1" id="sitelist-admin-sampleoutput1"></a>

```
{
    "message": "Site fetched successfully.",
    "entity": null,
    "status": true,
    "entityList": [
        {
            "id": 139,
            "name": "Selian Lutheran Hospital",
            "tenantId": 297,
            "operatingUnitName": "Arusha- Sanofi",
            "cultureName": "English - India",
            "siteLevel": "Level 4",
            "siteType": "Clinic"
        },
        {
            "id": 336,
            "name": "Netmeds Hospital",
            "tenantId": 533,
            "operatingUnitName": "Kambia",
            "cultureName": "English - India",
            "siteLevel": "Level 3",
            "siteType": "Clinic"
        },
        {
            "id": 330,
            "name": "Shuman hospital",
            "tenantId": 522,
            "operatingUnitName": "Freetown hospital",
            "cultureName": "English - India",
            "siteLevel": "Level 4",
            "siteType": "Clinic"
        },
        {
            "id": 329,
            "name": "Mercy UMC Hospital",
            "tenantId": 521,
            "operatingUnitName": "Arusha- Sanofi",
            "cultureName": "English - India",
            "siteLevel": "Level 3",
            "siteType": "Pharmacy"
        },
        {
            "id": 118,
            "name": "UpperHill Cardiovascular Centre",
            "tenantId": 36,
            "operatingUnitName": "UpperHill Cardiovascular Operating unit",
            "cultureName": "English - India",
            "siteLevel": "Level 1",
            "siteType": "Pharmacy"
        }
    ],
    "responseCode": 200,
    "totalCount": 15
}
```

#### **Input 2:** <a href="#sitelist-admin-input2" id="sitelist-admin-input2"></a>

| **Field Name**        | **Type** | **Mandatory** | **Example**                                                                                                                                     |
| --------------------- | -------- | ------------- | ----------------------------------------------------------------------------------------------------------------------------------------------- |
| Authorization(Header) | String   | Yes           | Bearer eyJlbmMiOiJBMTI4R0NNIiwiYWxnIjoiUlNBLU9BRVAtMjU2In0.MCm0mJDfpfjlr10Uok79-kTF7fv9Tn7cI5m2WsRDGUd9VS7iRmfbszjuc1-w5D-PYt9CdVxRMGBQlzYauhnI |
| Search Name           | String   | No            | Diabetes care                                                                                                                                   |

#### **Sample Input 2:** <a href="#sitelist-admin-sampleinput2" id="sitelist-admin-sampleinput2"></a>

{\
"limit": 10,\
"skip": 0,\
"tenantId": 6,\
"searchTerm": "Diabetes care"\
}

#### **Output 2:** <a href="#sitelist-admin-output2" id="sitelist-admin-output2"></a>

| **Field Name**      | **Type** | **Comments**        |
| ------------------- | -------- | ------------------- |
| `id`                | Number   | Site id             |
| `name`              | String   | Site name           |
| `tenantId`          | Number   | Site tenantId       |
| `operatingUnitName` | String   | Operating unit name |
| `cultureName`       | String   | Culture name        |
| `siteLevel`         | String   | Site level          |
| `siteType`          | String   | Clinic              |

#### **Sample Output 2:** <a href="#sitelist-admin-sampleoutput2" id="sitelist-admin-sampleoutput2"></a>

```
{
    "message": "Site fetched successfully.",
    "entity": null,
    "status": true,
    "entityList": [
        {
            "id": 15,
            "name": "Diabetes care",
            "tenantId": 110,
            "operatingUnitName": "Diabetes Care",
            "cultureName": "Bengali - Bangladesh",
            "siteLevel": "Level 4",
            "siteType": "Clinic"
        }
    ],
    "responseCode": 200,
    "totalCount": 1
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://spice.docs.medtroniclabs.org/spice-docs/engineering/api-documentation/admin-services/site/site-list-admin.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
